printer :-
    writeln("Good evening everyone!"),
    write("Thanks for coming "),
    shift(Name),
    write(Name), write(", ").

ceremony_main :-
    writeln("/Ceremony starts/"),
    reset(printer, Name, Cont),
    \+ \+ ( Name = "John", call(Cont) ),
    \+ \+ ( Name = "Mary", call(Cont) ),
    writeln("and my parents!"),
    writeln("/Ceremony ends/").

:- initialization(ceremony_main).
